mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The interface provides access only to the symbol-related attributes of a method, such as sequence points, lexical scopes, and parameter information. Use it with the classes to read the type-related attributes of a method.

This interface is the managed counterpart of the ISymUnmanagedMethod interface, one of the unmanaged symbol store interfaces that provide an alternative way to read and write debug symbol information.

Represents a method within a symbol store.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolNamespace To be added

  Gets the namespace that the current method is defined within.

  The namespace that the current method is defined within.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  The parameters are returned in the order that they are defined within the signature of the method.

  Gets the Microsoft intermediate language (MSIL) offset within the method that corresponds to the specified position.

  The offset within the specified document.

  The document for which the offset is requested. The document line corresponding to the offset. The document column corresponding to the offset.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolVariable[]

  The parameters are returned in the order that they are defined within the signature of the method.

  Gets the parameters for the current method.

  The array of parameters for the current method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32[] `` `` ``

  The array is an array of integers in the format {{start1, end1}, {start2, end2}...}. The number of range pairs is the length of the array divided by 2.

  Gets an array of start and end offset pairs that correspond to the ranges of Microsoft intermediate language (MSIL) that a given position covers within this method.

  An array of start and end offset pairs.

  The document for which the offset is requested. The document line corresponding to the ranges. The document column corresponding to the ranges.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolScope ``

  You can use the method to start local variable searches.

  Returns the most enclosing lexical scope when given an offset within a method.

  The most enclosing lexical scope for the given byte offset within the method.

  The byte offset within the method of the lexical scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` ``

  The sequence points are sorted by offset and are for all documents in the method. Use to retrieve the count of all sequence points and create arrays of the proper size.

  verifies the size of each array and places the sequence point information into each. If any array is null, the data for that array is not returned.

  Gets the sequence points for the current method.

  The array of byte offsets from the beginning of the method for the sequence points. The array of documents in which the sequence points are located. The array of lines in the documents at which the sequence points are located. The array of columns in the documents at which the sequence points are located. The array of lines in the documents at which the sequence points end. The array of columns in the documents at which the sequence points end.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  The first array position is the start, and the second is the end.

  Gets the start and end positions for the source of the current method.

  true if the positions were defined; otherwise, false.

  The starting and ending source documents. The starting and ending lines in the corresponding source documents. The starting and ending columns in the corresponding source documents.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolScope To be added: an object of type 'ISymbolScope' To be added

  Gets the root lexical scope for the current method. This scope encloses the entire method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets a count of the sequence points in the method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymbolToken To be added: an object of type 'SymbolToken' To be added

  Gets the containing the metadata for the current method.